"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigFile = exports.getRootPath = void 0;
var path_1 = require("path");
var RUNNING_CONFIG = process.env.RUNNING_CONFIG;
var getRootPath = function () {
    var rootPath = process.cwd();
    if (RUNNING_CONFIG && RUNNING_CONFIG !== 'rollup.config.js') {
        rootPath = path_1.dirname(path_1.resolve(rootPath, RUNNING_CONFIG));
    }
    return rootPath;
};
exports.getRootPath = getRootPath;
var getConfigFile = function () {
    var root = process.cwd();
    if (RUNNING_CONFIG) {
        var configFile = path_1.resolve(root, RUNNING_CONFIG);
        delete require.cache[configFile];
        try {
            return require(configFile);
        }
        catch (err) {
            return {};
        }
    }
    return root;
};
exports.getConfigFile = getConfigFile;
