"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorAsObjectWithMessage = exports.logRollpkgError = exports.logTsError = exports.logError = exports.EXIT_ON_ERROR = void 0;
var tslib_1 = require("tslib");
var chalk_1 = tslib_1.__importDefault(require("chalk"));
exports.EXIT_ON_ERROR = 'EXIT_ON_ERROR';
var logError = function (_a) {
    var failedAt = _a.failedAt, message = _a.message, fullError = _a.fullError;
    if (failedAt)
        console.error(chalk_1.default.red("\u2717 FAILED AT: " + failedAt), '\n');
    if (message)
        console.error(message, '\n');
    if (fullError)
        console.error(fullError, '\n');
};
exports.logError = logError;
var logTsError = function (_a) {
    var failedAt = _a.failedAt, message = _a.message;
    exports.logError({
        failedAt: failedAt,
        message: "TypeScript Error: " + message,
    });
};
exports.logTsError = logTsError;
var logRollpkgError = function (_a) {
    var failedAt = _a.failedAt, message = _a.message;
    exports.logError({
        failedAt: failedAt,
        message: "Rollpkg Error: " + message,
    });
};
exports.logRollpkgError = logRollpkgError;
var errorAsObjectWithMessage = function (error) {
    if (typeof error === 'object' && error !== null) {
        return error;
    }
    return { message: error };
};
exports.errorAsObjectWithMessage = errorAsObjectWithMessage;
//# sourceMappingURL=error.js.map